configure
上传用户:rrhhcc
上传日期:2015-12-11
资源大小:54129k
文件大小:318k
- # binaries.
- #
- # Yatin: Moved this code here from configure.in.tail, since the mash
- # configure.in file needs to set this variable appropriately before invoking
- # configure.in.tail and the presence of the .devel file can mess things up for
- # the linux release build
- #
- # Check whether --enable-static or --disable-static was given.
- if test "${enable_static+set}" = set; then
- enableval="$enable_static"
- else
- enable_static=""
- fi;
- if test -f .devel -o "$enable_devel" = "yes"; then
- echo -n "Development version: considering static"
- if test "$enable_static" != no; then
- echo ", and static enabled"
- V_STATIC="-static"
- else
- echo ", but static disabled anyway"
- fi
- else
- V_STATIC=""
- fi
- # This can be extended to support compilation-time module selection
- V_STLOBJ=""
- V_LSSCRIPT=""
- # This is required by configure.in.tcl to provide absolute pathnames for
- # tclsh, and configure.in.tail to absolutize V_INCLUDES and V_LIBS.
- absolutize() {
- case $1 in
- -L*) p=`echo $1 | sed 's/^-L//'` ;;
- -I*) p=`echo $1 | sed 's/^-I//'` ;;
- *) p=$1 ;;
- esac
- d=`dirname $p`
- f=`basename $p`
- ad=`(
- cd $d
- pwd
- )`
- case $1 in
- -L*) echo -L$ad/$f ;;
- -I*) echo -I$ad/$f ;;
- *) echo $ad/$f ;;
- esac
- }
- ac_ext=cc
- ac_cpp='$CXXCPP $CPPFLAGS'
- ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
- cpp_namespace=no
- stl_namespace=no
- if test x$cpp_namespace = xno
- then
- echo "$as_me:$LINENO: checking if C++ libraries work without any namespace" >&5
- echo $ECHO_N "checking if C++ libraries work without any namespace... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <iostream>
- int
- main ()
- {
- cout.fail();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- echo "$as_me:$LINENO: result: yes" >&5
- echo "${ECHO_T}yes" >&6
- cpp_namespace="none"
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- if test x$cpp_namespace = xno
- then
- echo "$as_me:$LINENO: checking if C++ libraries work with namespace std" >&5
- echo $ECHO_N "checking if C++ libraries work with namespace std... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <iostream>
- using namespace std;
- int
- main ()
- {
- cout.fail();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- echo "$as_me:$LINENO: result: yes" >&5
- echo "${ECHO_T}yes" >&6
- cpp_namespace=std
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- if test x$stl_namespace = xno
- then
- echo "$as_me:$LINENO: checking if STL works without any namespace" >&5
- echo $ECHO_N "checking if STL works without any namespace... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <list>
- int
- main ()
- {
- list<int> test;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- echo "$as_me:$LINENO: result: yes" >&5
- echo "${ECHO_T}yes" >&6
- stl_namespace="none"
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- if test x$stl_namespace = xno
- then
- echo "$as_me:$LINENO: checking if STL works with namespace std" >&5
- echo $ECHO_N "checking if STL works with namespace std... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <list>
- using namespace std;
- int
- main ()
- {
- list<int> test;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- echo "$as_me:$LINENO: result: yes" >&5
- echo "${ECHO_T}yes" >&6
- stl_namespace=std
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- if test x$stl_namespace = xno
- then
- echo "$as_me:$LINENO: checking if STL works with namespace stl" >&5
- echo $ECHO_N "checking if STL works with namespace stl... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <list>
- using namespace stl;
- int
- main ()
- {
- list<int> test;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- echo "$as_me:$LINENO: result: yes" >&5
- echo "${ECHO_T}yes" >&6
- stl_namespace=stl
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- ac_ext=c
- ac_cpp='$CPP $CPPFLAGS'
- ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- ac_compiler_gnu=$ac_cv_c_compiler_gnu
- echo "$as_me:$LINENO: checking should use STL" >&5
- echo $ECHO_N "checking should use STL... $ECHO_C" >&6
- # Check whether --enable-stl or --disable-stl was given.
- if test "${enable_stl+set}" = set; then
- enableval="$enable_stl"
- enable_stl=$enableval
- echo "$as_me:$LINENO: result: user specified $enable_stl" >&5
- echo "${ECHO_T}user specified $enable_stl" >&6
- else
- if test x$stl_namespace = xno
- then
- enable_stl=no
- echo "$as_me:$LINENO: result: no, couldn't find STL" >&5
- echo "${ECHO_T}no, couldn't find STL" >&6
- else
- if test x$stl_namespace != x$cpp_namespace
- then
- enable_stl=no
- echo "$as_me:$LINENO: result: std/STL namespaces are too hard for your system, abandoning STL" >&5
- echo "${ECHO_T}std/STL namespaces are too hard for your system, abandoning STL" >&6
- else
- enable_stl=yes
- echo "$as_me:$LINENO: result: yes" >&5
- echo "${ECHO_T}yes" >&6
- fi
- fi
- fi;
- if test x$enable_stl = xno
- then
- V_STLOBJ=""
- V_NS_TCL_LIB_STL=""
- else
- V_STLOBJ='$(OBJ_STL)'
- V_NS_TCL_LIB_STL='$(NS_TCL_LIB_STL)'
- cat >>confdefs.h <<_ACEOF
- #define HAVE_STL 1
- _ACEOF
- fi
- if test x$cpp_namespace != xnone
- then
- cat >>confdefs.h <<_ACEOF
- #define CPP_REQUIRES_NAMESPACE 1
- _ACEOF
- fi
- CPP_NAMESPACE=$cpp_namespace
- # Check whether --with-tcl or --without-tcl was given.
- if test "${with_tcl+set}" = set; then
- withval="$with_tcl"
- d=$withval
- else
- d=""
- fi;
- # Check whether --with-tcl-ver or --without-tcl-ver was given.
- if test "${with_tcl_ver+set}" = set; then
- withval="$with_tcl_ver"
- TCL_VERS=$withval
- else
- TCL_VERS=8.4.18
- fi;
- TCL_HI_VERS=`echo $TCL_VERS | sed 's/^([0-9]*).([0-9]*).([0-9]*)/1.2/'`
- TCL_MAJOR_VERS=`echo $TCL_VERS | sed 's/^([0-9]*).([0-9]*).([0-9]*)/1/'`
- TCL_ALT_VERS=`echo $TCL_HI_VERS | sed 's/.//'`
- TCL_OLD_VERS=8.3
- TCL_OLD_ALT_VERS=`echo $TCL_OLD_VERS | sed 's/.//'`
- TCL_TCL_PLACES_D="$d
- $d/lib/tcl$TCL_HI_VERS
- $d/lib/tcl$TCL_VERS
- $d/lib/tcl$TCL_ALT_VERS
- $d/lib/tcl
- $d/../lib/tcl$TCL_HI_VERS
- $d/../lib/tcl$TCL_VERS
- $d/../lib/tcl$TCL_ALT_VERS
- $d/lib/tcl$TCL_OLD_VERS
- $d/lib/tcl$TCL_OLD_ALT_VERS
- $d/../lib/tcl$TCL_OLD_VERS
- $d/../lib/tcl$TCL_OLD_ALT_VERS
- $d/lib
- /System/Library/Frameworks/Tcl.framework/Versions/8.4/Resources/Scripts
- $d/library
- "
- TCL_TCL_PLACES="../lib/tcl$TCL_HI_VERS
- ../lib/tcl$TCL_ALT_VERS
- ../lib/tcl$TCL_VERS
- ../lib/tcl
- ../tcl$TCL_HI_VERS/library
- ../tcl$TCL_VERS/library
- ../tcl$TCL_ALT_VERS/library
- /usr/lib/tcl$TCL_VERS
- /usr/lib/tcl$TCL_HI_VERS
- /usr/lib/tcl$TCL_ALT_VERS
- /usr/lib/tcl
- /usr/share/tcl$TCL_VERS
- /usr/share/tcl$TCL_HI_VERS
- /usr/share/tcl$TCL_ALT_VERS
- /usr/share/tcl
- /lib/tcl$TCL_VERS
- /lib/tcl$TCL_HI_VERS
- /lib/tcl$TCL_ALT_VERS
- /usr/lib/tcl$TCL_OLD_VERS
- /usr/lib/tcl$TCL_OLD_ALT_VERS
- /lib/tcl$TCL_OLD_VERS
- /lib/tcl$TCL_OLD_ALT_VERS
- /usr/lib
- /usr/src/local/tcl$TCL_VERS/library
- /usr/src/local/tcl$TCL_HI_VERS/library
- /usr/src/local/tcl$TCL_ALT_VERS/library
- /usr/local/lib/tcl$TCL_VERS
- /usr/local/lib/tcl$TCL_HI_VERS
- /usr/local/lib/tcl$TCL_ALT_VERS
- /usr/local/include/tcl$TCL_VERS
- /usr/local/include/tcl$TCL_HI_VERS
- /usr/local/include/tcl$TCL_ALT_VERS
- ../tcl$TCL_OLD_VERS/library
- ../tcl$TCL_OLD_ALT_VERS/library
- /usr/src/local/tcl$TCL_OLD_VERS/library
- /usr/src/local/tcl$TCL_OLD_ALT_VERS/library
- /usr/local/lib/tcl$TCL_OLD_VERS
- /usr/local/lib/tcl$TCL_OLD_ALT_VERS
- /usr/local/include/tcl$TCL_OLD_VERS
- /usr/local/include/tcl$TCL_OLD_ALT_VERS
- /usr/local/include
- $prefix/include
- $prefix/lib/tcl
- $x_includes/tk
- $x_includes
- /usr/contrib/include
- /usr/include"
- TCL_H_PLACES_D="$d/generic
- $d/unix
- $d/include/tcl$TCL_HI_VERS
- $d/include/tcl$TCL_VERS
- $d/include/tcl$TCL_ALT_VERS
- $d/include
- "
- TCL_H_PLACES="
- ../include
- ../tcl$TCL_VERS/unix
- ../tcl$TCL_ALT_VERS/unix
- ../tcl$TCL_HI_VERS/generic
- ../tcl$TCL_VERS/generic
- ../tcl$TCL_ALT_VERS/generic
- /usr/src/local/tcl$TCL_VERS/generic
- /usr/src/local/tcl$TCL_HI_VERS/generic
- /usr/src/local/tcl$TCL_ALT_VERS/generic
- /usr/src/local/tcl$TCL_VERS/unix
- /usr/src/local/tcl$TCL_HI_VERS/unix
- /usr/src/local/tcl$TCL_ALT_VERS/unix
- /usr/contrib/include
- /usr/local/lib/tcl$TCL_VERS
- /usr/local/lib/tcl$TCL_HI_VERS
- /usr/local/lib/tcl$TCL_ALT_VERS
- /usr/local/include/tcl$TCL_VERS
- /usr/local/include/tcl$TCL_HI_VERS
- /usr/local/include/tcl$TCL_ALT_VERS
- /usr/local/include
- /import/tcl/include/tcl$TCL_VERS
- /import/tcl/include/tcl$TCL_HI_VERS
- /import/tcl/include/tcl$TCL_ALT_VERS
- ../tcl$TCL_OLD_VERS/generic
- ../tcl$TCL_OLD_ALT_VERS/generic
- /usr/src/local/tcl$TCL_OLD_VERS/generic
- /usr/src/local/tcl$TCL_OLD_ALT_VERS/generic
- ../tcl$TCL_OLD_VERS/unix
- ../tcl$TCL_OLD_ALT_VERS/unix
- /usr/src/local/tcl$TCL_OLD_VERS/unix
- /usr/src/local/tcl$TCL_OLD_ALT_VERS/unix
- /usr/local/lib/tcl$TCL_OLD_VERS
- /usr/local/lib/tcl$TCL_OLD_ALT_VERS
- /usr/local/include/tcl$TCL_OLD_VERS
- /usr/local/include/tcl$TCL_OLD_ALT_VERS
- /import/tcl/include/tcl$TCL_OLD_VERS
- /import/tcl/include/tcl$TCL_OLD_ALT_VERS
- $prefix/include
- $x_includes/tk
- $x_includes
- /usr/include
- /usr/include/tcl$TCL_VERS
- /usr/include/tcl$TCL_HI_VERS
- /usr/include/tcl$TCL_ALT_VERS
- /usr/include/tcl"
- TCL_LIB_PLACES_D="$d
- $d/lib
- $d/unix"
- TCL_LIB_PLACES="
- ../lib
- ../tcl$TCL_VERS/unix
- ../tcl$TCL_HI_VERS/unix
- ../tcl$TCL_ALT_VERS/unix
- /usr/src/local/tcl$TCL_VERS/unix
- /usr/src/local/tcl$TCL_HI_VERS/unix
- /usr/src/local/tcl$TCL_ALT_VERS/unix
- /usr/contrib/lib
- /usr/local/lib/tcl$TCL_VERS
- /usr/local/lib/tcl$TCL_HI_VERS
- /usr/local/lib/tcl$TCL_ALT_VERS
- /usr/lib/tcl$TCL_VERS
- /usr/lib/tcl$TCL_HI_VERS
- /usr/lib/tcl$TCL_ALT_VERS
- ../tcl$TCL_OLD_VERS/unix
- ../tcl$TCL_OLD_ALT_VERS/unix
- /usr/src/local/tcl$TCL_OLD_VERS/unix
- /usr/src/local/tcl$TCL_OLD_ALT_VERS/unix
- /usr/local/lib/tcl$TCL_OLD_VERS
- /usr/local/lib/tcl$TCL_OLD_ALT_VERS
- /usr/lib/tcl$TCL_OLD_VERS
- /usr/lib/tcl$TCL_OLD_ALT_VERS
- /usr/local/lib
- $prefix/lib
- $x_libs/tk
- $x_libs
- /usr/lib
- "
- V_TCL_LIBRARY_FILES="$(TCL_`echo $TCL_ALT_VERS`_LIBRARY_FILES)"
- test "x$TCL_VERS" = x8.3.5 && V_TCL_LIBRARY_FILES="$(TCL_835_LIBRARY_FILES)"
- NS_PACKAGE_tcl_UNDERWAY=false
- NS_PACKAGE_tcl_COMPLETE=true
- echo "$as_me:$LINENO: checking for tcl.h" >&5
- echo $ECHO_N "checking for tcl.h... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_INCLUDE_TCL=FAIL
- NS_PACKAGE_tcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCL_H_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCL_H_PLACES_D"
- fi
- V_INCLUDE_TCL=""
- found=""
- for dir in $places; do
- if test -r $dir/tcl.h; then
- found="$dir"
- if test "$CC" != "icc" ||
- test "$dir" != "/usr/include"; then
- V_INCLUDE_TCL="-I$dir"
- fi
- break
- fi
- done
- if test "FAIL$found" = "FAIL" ; then
- NS_PACKAGE_tcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- ac_tr_hdr=HAVE_`echo tcl.h | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_hdr 1
- _ACEOF
- V_INCLUDES="$V_INCLUDE_TCL $V_INCLUDES"
- V_DEFINES="-D$ac_tr_hdr $V_DEFINES"
- NS_PACKAGE_tcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_INCLUDE_TCL" >&5
- echo "${ECHO_T}$V_INCLUDE_TCL" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for libtcl$TCL_HI_VERS" >&5
- echo $ECHO_N "checking for libtcl$TCL_HI_VERS... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable library
- V_LIB_TCL=FAIL
- NS_PACKAGE_tcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCL_LIB_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCL_LIB_PLACES_D"
- fi
- V_LIB_TCL=""
- full_lib_name="tcl$TCL_HI_VERS"
- simple_lib_name=`echo $full_lib_name | sed -e 's/.//'`
- other_simple_lib_name=`echo $full_lib_name | sed -e 's/./_/'`
- simpler_lib_name=`echo $simple_lib_name | sed -e 'y/0123456789/ /'`
- double_break=false
- for dir in $places; do
- for file in $full_lib_name $simple_lib_name $other_simple_lib_name $simpler_lib_name
- do
- if test -r $dir/lib$file.so -o -r $dir/lib$file.a -o -r $dir/lib$file.dylib; then
- V_LIB_TCL="-L$dir -l$file"
- double_break=true
- break
- fi
- done
- if $double_break; then
- break
- fi
- done
- if test "FAIL$V_LIB_TCL" = "FAIL" ; then
- NS_PACKAGE_tcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- if test "$solaris"; then
- V_LIB_TCL="-R$dir $V_LIB_TCL"
- fi
- ac_tr_lib=HAVE_LIB`echo tcl$TCL_HI_VERS | sed -e 's/[^a-zA-Z0-9_]/_/g'
- -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_lib 1
- _ACEOF
- V_LIBS="$V_LIB_TCL $V_LIBS"
- V_DEFINES="-D$ac_tr_lib $V_DEFINES"
- NS_PACKAGE_tcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIB_TCL" >&5
- echo "${ECHO_T}$V_LIB_TCL" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for init.tcl" >&5
- echo $ECHO_N "checking for init.tcl... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_LIBRARY_TCL=FAIL
- NS_PACKAGE_tcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCL_TCL_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCL_TCL_PLACES_D"
- fi
- V_LIBRARY_TCL=""
- for dir in $places; do
- if test -r $dir/init.tcl; then
- V_LIBRARY_TCL="$dir"
- break
- fi
- done
- if test "FAIL$V_LIBRARY_TCL" = "FAIL" ; then
- NS_PACKAGE_tcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- NS_PACKAGE_tcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIBRARY_TCL" >&5
- echo "${ECHO_T}$V_LIBRARY_TCL" >&6
- fi
- fi
- #
- # check for tclsh
- #
- oldpath=$PATH
- # $d/unix works if $d is the 8.0 distribution
- # $d/bin is for the ns-allinone distribution (kind of hacky, isn't it?)
- PATH=../bin:../tcl$TCL_HI_VERS/unix:../tcl$TCL_VERS/unix:$d/unix:$d/bin:$PATH
- for ac_prog in tclsh$TCL_VERS tclsh$TCL_HI_VERS tclsh tclsh$TCL_OLD_VERS
- do
- # Extract the first word of "$ac_prog", so it can be a program name with args.
- set dummy $ac_prog; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_path_V_TCLSH+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- case $V_TCLSH in
- [\/]* | ?:[\/]*)
- ac_cv_path_V_TCLSH="$V_TCLSH" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_path_V_TCLSH="$as_dir/$ac_word$ac_exec_ext"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
- ;;
- esac
- fi
- V_TCLSH=$ac_cv_path_V_TCLSH
- if test -n "$V_TCLSH"; then
- echo "$as_me:$LINENO: result: $V_TCLSH" >&5
- echo "${ECHO_T}$V_TCLSH" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- test -n "$V_TCLSH" && break
- done
- test -n "$V_TCLSH" || V_TCLSH="no"
- if test x"$V_TCLSH" = xno
- then
- # out of luck
- NS_PACKAGE_tcl_COMPLETE=false
- fi
- # absolutize it
- V_TCLSH=`absolutize $V_TCLSH`
- PATH=$oldpath
- NS_PACKAGE_tcl_VALID=false
- if $NS_PACKAGE_tcl_UNDERWAY; then
- if $NS_PACKAGE_tcl_COMPLETE; then
- : All components of tcl found.
- NS_PACKAGE_tcl_VALID=true
- else
- { { echo "$as_me:$LINENO: error: Installation of tcl seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tcl is
- using the argument --with-tcl=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tcl=no." >&5
- echo "$as_me: error: Installation of tcl seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tcl is
- using the argument --with-tcl=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tcl=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "xyes" = xyes; then
- if $NS_PACKAGE_tcl_VALID; then
- :
- else
- { { echo "$as_me:$LINENO: error: tcl is required but could not be completely found.
- Please correct the problem by telling configure where tcl is
- using the argument --with-tcl=/path/to/package,
- or the package is not required, disable it with --with-tcl=no." >&5
- echo "$as_me: error: tcl is required but could not be completely found.
- Please correct the problem by telling configure where tcl is
- using the argument --with-tcl=/path/to/package,
- or the package is not required, disable it with --with-tcl=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- # Check whether --with-tk or --without-tk was given.
- if test "${with_tk+set}" = set; then
- withval="$with_tk"
- d=$withval
- else
- d=""
- fi;
- # Check whether --with-tk-ver or --without-tk-ver was given.
- if test "${with_tk_ver+set}" = set; then
- withval="$with_tk_ver"
- TK_VERS=$withval
- else
- TK_VERS=8.4.18
- fi;
- TK_HI_VERS=`echo $TK_VERS | sed 's/([0-9]*).([0-9]*).([0-9]*)/1.2/'`
- TK_MAJOR_VERS=`echo $TK_VERS | sed 's/([0-9]*).([0-9]*).([0-9]*)/1/'`
- TK_ALT_VERS=`echo $TK_VERS | sed 's/.//'`
- TK_OLD_VERS=8.3
- TK_OLD_ALT_VERS=`echo $TK_OLD_VERS | sed 's/.//'`
- TK_TCL_PLACES_D="$d
- $d/lib/tk$TK_VERS
- $d/lib/tk$TK_ALT_VERS
- $d/lib/tk$TK_HI_VERS
- $d/library
- $d/lib/tk
- $d/../lib/tk$TK_VERS
- $d/../lib/tk$TK_ALT_VERS
- $d/../lib/tk$TK_HI_VERS
- $d/../lib/tk
- $d/lib/tk$TK_OLD_VERS
- $d/lib/tk$TK_OLD_ALT_VERS
- $d/../lib/tk$TK_OLD_VERS
- $d/../lib/tk$TK_OLD_ALT_VERS
- $d/../lib/tk
- $d/lib
- /System/Library/Frameworks/Tk.framework/Versions/8.4/Resources/Scripts
- $d/library"
- TK_TCL_PLACES="
- ../lib/tk$TK_HI_VERS
- ../lib/tk$TK_VERS
- ../lib/tk$TK_ALT_VERS
- ../tk$TK_VERS/library
- ../tk$TK_ALT_VERS/library
- ../tk$TK_HI_VERS/library
- ../tk/library
- /usr/src/local/tk$TK_VERS/library
- /usr/src/local/tk$TK_ALT_VERS/library
- /usr/src/local/tk$TK_HI_VERS/library
- /usr/contrib/include
- /usr/local/lib/tk$TK_VERS
- /usr/local/lib/tk$TK_ALT_VERS
- /usr/local/lib/tk$TK_HI_VERS
- /usr/local/include/tk$TK_VERS
- /usr/local/include/tk$TK_ALT_VERS
- /usr/local/include/tk$TK_HI_VERS
- /usr/local/include
- /usr/lib/tk$TK_VERS
- /usr/lib/tk$TK_ALT_VERS
- /usr/lib/tk$TK_HI_VERS
- /usr/lib/tk
- /usr/share/tk$TK_VERS
- /usr/share/tk$TK_ALT_VERS
- /usr/share/tk$TK_HI_VERS
- /usr/share/tk
- ../tk$TK_OLD_VERS/library
- ../tk$TK_OLD_ALT_VERS/library
- /usr/src/local/tk$TK_OLD_VERS/library
- /usr/src/local/tk$TK_OLD_ALT_VERS/library
- /usr/local/lib/tk$TK_OLD_VERS
- /usr/local/lib/tk$TK_OLD_ALT_VERS
- /usr/local/include/tk$TK_OLD_VERS
- /usr/local/include/tk$TK_OLD_ALT_VERS
- /usr/lib/tk$TK_OLD_VERS
- /usr/lib/tk$TK_OLD_ALT_VERS
- $prefix/include
- $prefix/lib/tk
- $x_includes/tk
- $x_includes
- /usr/include"
- TK_H_PLACES_D="$d
- $d/generic
- $d/../include/tk$TK_VERS
- $d/../include/tk$TK_HI_VERS
- $d/../include/tk$TK_OLD_VERS
- $d/include/tk$TK_VERS
- $d/include/tk$TK_HI_VERS
- $d/include/tk$TK_OLD_VERS
- $d/include"
- TK_H_PLACES="
- ../include
- ../tk$TK_VERS/generic
- ../tk$TK_ALT_VERS/generic
- ../tk$TK_HI_VERS/generic
- /usr/src/local/tk$TK_VERS/generic
- /usr/src/local/tk$TK_ALT_VERS/generic
- /usr/src/local/tk$TK_HI_VERS/generic
- /usr/contrib/include
- /usr/local/lib/tk$TK_VERS
- /usr/local/lib/tk$TK_ALT_VERS
- /usr/local/lib/tk$TK_HI_VERS
- /usr/local/include/tk$TK_VERS
- /usr/local/include/tk$TK_ALT_VERS
- /usr/local/include/tk$TK_HI_VERS
- /usr/local/include
- /import/tk/include/tk$TK_VERS
- /import/tk/include/tk$TK_ALT_VERS
- /import/tk/include/tk$TK_HI_VERS
- ../tk$TK_OLD_VERS/generic
- ../tk$TK_OLD_ALT_VERS/generic
- /usr/src/local/tk$TK_OLD_VERS/generic
- /usr/src/local/tk$TK_OLD_ALT_VERS/generic
- /usr/local/lib/tk$TK_OLD_VERS
- /usr/local/lib/tk$TK_OLD_ALT_VERS
- /usr/local/include/tk$TK_OLD_VERS
- /usr/local/include/tk$TK_OLD_ALT_VERS
- /import/tk/include/tk$TK_OLD_VERS
- /import/tk/include/tk$TK_OLD_ALT_VERS
- $prefix/include
- $x_includes/tk
- $x_includes
- /usr/include
- /usr/include/tcl
- /usr/include/tcl$TK_VERS
- /usr/include/tcl$TK_ALT_VERS
- /usr/include/tcl$TK_HI_VERS"
- TK_LIB_PLACES_D="$d
- $d/lib
- $d/unix"
- TK_LIB_PLACES="
- ../lib
- ../lib/tk$TK_HI_VERS
- ../lib/tk$TK_VERS
- ../lib/tk$TK_ALT_VERS
- ../tk$TK_VERS/unix
- ../tk$TK_ALT_VERS/unix
- ../tk$TK_HI_VERS/unix
- /usr/src/local/tk$TK_VERS/unix
- /usr/src/local/tk$TK_ALT_VERS/unix
- /usr/src/local/tk$TK_HI_VERS/unix
- /usr/contrib/lib
- /usr/local/lib/tk$TK_VERS
- /usr/local/lib/tk$TK_ALT_VERS
- /usr/local/lib/tk$TK_HI_VERS
- ../tk$TK_OLD_VERS/unix
- ../tk$TK_OLD_ALT_VERS/unix
- /usr/src/local/tk$TK_OLD_VERS/unix
- /usr/src/local/tk$TK_OLD_ALT_VERS/unix
- /usr/local/lib/tk$TK_OLD_VERS
- /usr/local/lib/tk$TK_OLD_ALT_VERS
- /usr/local/lib
- $prefix/lib
- $x_libs/tk
- $x_libs
- /usr/lib"
- NS_PACKAGE_tk_UNDERWAY=false
- NS_PACKAGE_tk_COMPLETE=true
- echo "$as_me:$LINENO: checking for tk.h" >&5
- echo $ECHO_N "checking for tk.h... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_INCLUDE_TK=FAIL
- NS_PACKAGE_tk_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TK_H_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TK_H_PLACES_D"
- fi
- V_INCLUDE_TK=""
- found=""
- for dir in $places; do
- if test -r $dir/tk.h; then
- found="$dir"
- if test "$CC" != "icc" ||
- test "$dir" != "/usr/include"; then
- V_INCLUDE_TK="-I$dir"
- fi
- break
- fi
- done
- if test "FAIL$found" = "FAIL" ; then
- NS_PACKAGE_tk_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- ac_tr_hdr=HAVE_`echo tk.h | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_hdr 1
- _ACEOF
- V_INCLUDES="$V_INCLUDE_TK $V_INCLUDES"
- V_DEFINES="-D$ac_tr_hdr $V_DEFINES"
- NS_PACKAGE_tk_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_INCLUDE_TK" >&5
- echo "${ECHO_T}$V_INCLUDE_TK" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for libtk$TK_HI_VERS" >&5
- echo $ECHO_N "checking for libtk$TK_HI_VERS... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable library
- V_LIB_TK=FAIL
- NS_PACKAGE_tk_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TK_LIB_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TK_LIB_PLACES_D"
- fi
- V_LIB_TK=""
- full_lib_name="tk$TK_HI_VERS"
- simple_lib_name=`echo $full_lib_name | sed -e 's/.//'`
- other_simple_lib_name=`echo $full_lib_name | sed -e 's/./_/'`
- simpler_lib_name=`echo $simple_lib_name | sed -e 'y/0123456789/ /'`
- double_break=false
- for dir in $places; do
- for file in $full_lib_name $simple_lib_name $other_simple_lib_name $simpler_lib_name
- do
- if test -r $dir/lib$file.so -o -r $dir/lib$file.a -o -r $dir/lib$file.dylib; then
- V_LIB_TK="-L$dir -l$file"
- double_break=true
- break
- fi
- done
- if $double_break; then
- break
- fi
- done
- if test "FAIL$V_LIB_TK" = "FAIL" ; then
- NS_PACKAGE_tk_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- if test "$solaris"; then
- V_LIB_TK="-R$dir $V_LIB_TK"
- fi
- ac_tr_lib=HAVE_LIB`echo tk$TK_HI_VERS | sed -e 's/[^a-zA-Z0-9_]/_/g'
- -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_lib 1
- _ACEOF
- V_LIBS="$V_LIB_TK $V_LIBS"
- V_DEFINES="-D$ac_tr_lib $V_DEFINES"
- NS_PACKAGE_tk_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIB_TK" >&5
- echo "${ECHO_T}$V_LIB_TK" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for tk.tcl" >&5
- echo $ECHO_N "checking for tk.tcl... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_LIBRARY_TK=FAIL
- NS_PACKAGE_tk_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TK_TCL_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TK_TCL_PLACES_D"
- fi
- V_LIBRARY_TK=""
- for dir in $places; do
- if test -r $dir/tk.tcl; then
- V_LIBRARY_TK="$dir"
- break
- fi
- done
- if test "FAIL$V_LIBRARY_TK" = "FAIL" ; then
- NS_PACKAGE_tk_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- NS_PACKAGE_tk_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIBRARY_TK" >&5
- echo "${ECHO_T}$V_LIBRARY_TK" >&6
- fi
- fi
- NS_PACKAGE_tk_VALID=false
- if $NS_PACKAGE_tk_UNDERWAY; then
- if $NS_PACKAGE_tk_COMPLETE; then
- : All components of tk found.
- NS_PACKAGE_tk_VALID=true
- else
- { { echo "$as_me:$LINENO: error: Installation of tk seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tk is
- using the argument --with-tk=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tk=no." >&5
- echo "$as_me: error: Installation of tk seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tk is
- using the argument --with-tk=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tk=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "xno" = xyes; then
- if $NS_PACKAGE_tk_VALID; then
- :
- else
- { { echo "$as_me:$LINENO: error: tk is required but could not be completely found.
- Please correct the problem by telling configure where tk is
- using the argument --with-tk=/path/to/package,
- or the package is not required, disable it with --with-tk=no." >&5
- echo "$as_me: error: tk is required but could not be completely found.
- Please correct the problem by telling configure where tk is
- using the argument --with-tk=/path/to/package,
- or the package is not required, disable it with --with-tk=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test -r $V_LIBRARY_TK/optionMenu.tcl ; then
- V_TKDOSNAMES='$(LIBRARY_TK)/optionMenu.tcl $(LIBRARY_TK)/scrollbar.tcl'
- V_NEED_DL=""
- else
- V_TKDOSNAMES='$(LIBRARY_TK)/optMenu.tcl $(LIBRARY_TK)/scrlbar.tcl'
- V_NEED_DL=YES
- fi
- # Check whether --with-otcl or --without-otcl was given.
- if test "${with_otcl+set}" = set; then
- withval="$with_otcl"
- d=$withval
- else
- d=""
- fi;
- OTCL_VERS=1.13
- OTCL_ALT_VERS=1.0
- OTCL_H_PLACES_D="$d
- $d/include"
- OTCL_H_PLACES="../otcl
- /usr/src/local/otcl
- ../otcl-$OTCL_VERS
- /import/otcl/include
- /usr/src/local/otcl-$OTCL_VERS
- /usr/src/local/otcl-$OTCL_ALT_VERS
- $prefix/include
- /usr/local/include
- /usr/contrib/include
- /usr/include"
- OTCL_LIB_PLACES_D="$d
- $d/lib
- "
- OTCL_LIB_PLACES="../otcl
- ../otcl-$OTCL_VERS
- ../otcl-$OTCL_ALT_VERS
- $prefix/lib
- $x_libraries
- /usr/contrib/lib
- /usr/local/lib
- /usr/lib
- /usr/src/local/otcl
- /usr/src/local/otcl-$OTCL_VERS
- /usr/src/local/otcl-$OTCL_ALT_VERS
- "
- NS_PACKAGE_otcl_UNDERWAY=false
- NS_PACKAGE_otcl_COMPLETE=true
- echo "$as_me:$LINENO: checking for otcl.h" >&5
- echo $ECHO_N "checking for otcl.h... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_INCLUDE_OTCL=FAIL
- NS_PACKAGE_otcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$OTCL_H_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$OTCL_H_PLACES_D"
- fi
- V_INCLUDE_OTCL=""
- found=""
- for dir in $places; do
- if test -r $dir/otcl.h; then
- found="$dir"
- if test "$CC" != "icc" ||
- test "$dir" != "/usr/include"; then
- V_INCLUDE_OTCL="-I$dir"
- fi
- break
- fi
- done
- if test "FAIL$found" = "FAIL" ; then
- NS_PACKAGE_otcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- ac_tr_hdr=HAVE_`echo otcl.h | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_hdr 1
- _ACEOF
- V_INCLUDES="$V_INCLUDE_OTCL $V_INCLUDES"
- V_DEFINES="-D$ac_tr_hdr $V_DEFINES"
- NS_PACKAGE_otcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_INCLUDE_OTCL" >&5
- echo "${ECHO_T}$V_INCLUDE_OTCL" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for libotcl$OTCL_VERS" >&5
- echo $ECHO_N "checking for libotcl$OTCL_VERS... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable library
- V_LIB_OTCL=FAIL
- NS_PACKAGE_otcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$OTCL_LIB_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$OTCL_LIB_PLACES_D"
- fi
- V_LIB_OTCL=""
- full_lib_name="otcl$OTCL_VERS"
- simple_lib_name=`echo $full_lib_name | sed -e 's/.//'`
- other_simple_lib_name=`echo $full_lib_name | sed -e 's/./_/'`
- simpler_lib_name=`echo $simple_lib_name | sed -e 'y/0123456789/ /'`
- double_break=false
- for dir in $places; do
- for file in $full_lib_name $simple_lib_name $other_simple_lib_name $simpler_lib_name
- do
- if test -r $dir/lib$file.so -o -r $dir/lib$file.a -o -r $dir/lib$file.dylib; then
- V_LIB_OTCL="-L$dir -l$file"
- double_break=true
- break
- fi
- done
- if $double_break; then
- break
- fi
- done
- if test "FAIL$V_LIB_OTCL" = "FAIL" ; then
- NS_PACKAGE_otcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- if test "$solaris"; then
- V_LIB_OTCL="-R$dir $V_LIB_OTCL"
- fi
- ac_tr_lib=HAVE_LIB`echo otcl$OTCL_VERS | sed -e 's/[^a-zA-Z0-9_]/_/g'
- -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_lib 1
- _ACEOF
- V_LIBS="$V_LIB_OTCL $V_LIBS"
- V_DEFINES="-D$ac_tr_lib $V_DEFINES"
- NS_PACKAGE_otcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIB_OTCL" >&5
- echo "${ECHO_T}$V_LIB_OTCL" >&6
- fi
- fi
- NS_PACKAGE_otcl_VALID=false
- if $NS_PACKAGE_otcl_UNDERWAY; then
- if $NS_PACKAGE_otcl_COMPLETE; then
- : All components of otcl found.
- NS_PACKAGE_otcl_VALID=true
- else
- { { echo "$as_me:$LINENO: error: Installation of otcl seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where otcl is
- using the argument --with-otcl=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-otcl=no." >&5
- echo "$as_me: error: Installation of otcl seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where otcl is
- using the argument --with-otcl=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-otcl=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "xyes" = xyes; then
- if $NS_PACKAGE_otcl_VALID; then
- :
- else
- { { echo "$as_me:$LINENO: error: otcl is required but could not be completely found.
- Please correct the problem by telling configure where otcl is
- using the argument --with-otcl=/path/to/package,
- or the package is not required, disable it with --with-otcl=no." >&5
- echo "$as_me: error: otcl is required but could not be completely found.
- Please correct the problem by telling configure where otcl is
- using the argument --with-otcl=/path/to/package,
- or the package is not required, disable it with --with-otcl=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- # Check whether --with-Tcl or --without-Tcl was given.
- if test "${with_Tcl+set}" = set; then
- withval="$with_Tcl"
- { { echo "$as_me:$LINENO: error: The --with-Tcl option has been replaced with --with-tclcl.
- Please insure you have an up-to-date copy of TclCL and re-run your configuration." >&5
- echo "$as_me: error: The --with-Tcl option has been replaced with --with-tclcl.
- Please insure you have an up-to-date copy of TclCL and re-run your configuration." >&2;}
- { (exit 1); exit 1; }; }
- fi;
- # Check whether --with-tclcl or --without-tclcl was given.
- if test "${with_tclcl+set}" = set; then
- withval="$with_tclcl"
- d=$withval
- else
- d=""
- fi;
- TCLCL_VERS=1.19
- TCLCL_ALT_VERS=1.0
- TCLCL_H_PLACES="
- ../tclcl-$TCLCL_VERS
- ../tclcl-$TCLCL_ALT_VERS
- ../tclcl
- ../TclCL
- ../Tcl-$TCLCL_VERS
- ../Tcl-$TCLCL_ALT_VERS
- ../Tcl
- /usr/src/local/Tcl
- /usr/src/local/Tcl-1.0
- /import/Tcl/include
- /usr/local/include
- /usr/contrib/include
- /usr/include"
- TCLCL_H_PLACES_D="$d
- $d/include"
- TCLCL_LIB_PLACES="
- ../tclcl-$TCLCL_VERS
- ../tclcl-$TCLCL_ALT_VERS
- ../tclcl
- ../TclCL
- ../Tcl-$TCLCL_VERS
- ../Tcl-$TCLCL_ALT_VERS
- ../Tcl
- $x_libraries
- /usr/contrib/lib
- /usr/local/lib
- /usr/lib
- /usr/src/local/Tcl
- /usr/src/local/Tcl-1.0"
- TCLCL_LIB_PLACES_D="
- $d
- $d/lib
- $d/bin"
- TCLCL_PROG_PLACES="
- ../tclcl-$TCLCL_VERS
- ../tclcl-$TCLCL_ALT_VERS
- ../tclcl
- ../TclCL
- ../Tcl-$TCLCL_VERS
- ../Tcl-$TCLCL_ALT_VERS
- ../Tcl
- $prefix/bin
- $x_libraries
- /usr/contrib/bin
- /usr/local/bin
- /usr/bin
- /usr/src/local/Tcl
- /usr/src/local/Tcl-1.0
- "
- TCLCL_PROG_PLACES_D="
- $d
- $d/bin"
- NS_PACKAGE_tclcl_UNDERWAY=false
- NS_PACKAGE_tclcl_COMPLETE=true
- echo "$as_me:$LINENO: checking for tclcl.h" >&5
- echo $ECHO_N "checking for tclcl.h... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_INCLUDE_TCLCL=FAIL
- NS_PACKAGE_tclcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCLCL_H_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCLCL_H_PLACES_D"
- fi
- V_INCLUDE_TCLCL=""
- found=""
- for dir in $places; do
- if test -r $dir/tclcl.h; then
- found="$dir"
- if test "$CC" != "icc" ||
- test "$dir" != "/usr/include"; then
- V_INCLUDE_TCLCL="-I$dir"
- fi
- break
- fi
- done
- if test "FAIL$found" = "FAIL" ; then
- NS_PACKAGE_tclcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- ac_tr_hdr=HAVE_`echo tclcl.h | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_hdr 1
- _ACEOF
- V_INCLUDES="$V_INCLUDE_TCLCL $V_INCLUDES"
- V_DEFINES="-D$ac_tr_hdr $V_DEFINES"
- NS_PACKAGE_tclcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_INCLUDE_TCLCL" >&5
- echo "${ECHO_T}$V_INCLUDE_TCLCL" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for libtclcl$tclcl_VERS" >&5
- echo $ECHO_N "checking for libtclcl$tclcl_VERS... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable library
- V_LIB_TCLCL=FAIL
- NS_PACKAGE_tclcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCLCL_LIB_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCLCL_LIB_PLACES_D"
- fi
- V_LIB_TCLCL=""
- full_lib_name="tclcl$tclcl_VERS"
- simple_lib_name=`echo $full_lib_name | sed -e 's/.//'`
- other_simple_lib_name=`echo $full_lib_name | sed -e 's/./_/'`
- simpler_lib_name=`echo $simple_lib_name | sed -e 'y/0123456789/ /'`
- double_break=false
- for dir in $places; do
- for file in $full_lib_name $simple_lib_name $other_simple_lib_name $simpler_lib_name
- do
- if test -r $dir/lib$file.so -o -r $dir/lib$file.a -o -r $dir/lib$file.dylib; then
- V_LIB_TCLCL="-L$dir -l$file"
- double_break=true
- break
- fi
- done
- if $double_break; then
- break
- fi
- done
- if test "FAIL$V_LIB_TCLCL" = "FAIL" ; then
- NS_PACKAGE_tclcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- if test "$solaris"; then
- V_LIB_TCLCL="-R$dir $V_LIB_TCLCL"
- fi
- ac_tr_lib=HAVE_LIB`echo tclcl$tclcl_VERS | sed -e 's/[^a-zA-Z0-9_]/_/g'
- -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_lib 1
- _ACEOF
- V_LIBS="$V_LIB_TCLCL $V_LIBS"
- V_DEFINES="-D$ac_tr_lib $V_DEFINES"
- NS_PACKAGE_tclcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIB_TCLCL" >&5
- echo "${ECHO_T}$V_LIB_TCLCL" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for tcl2c++" >&5
- echo $ECHO_N "checking for tcl2c++... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_TCL2CPP_DIR=FAIL
- NS_PACKAGE_tclcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCLCL_PROG_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCLCL_PROG_PLACES_D"
- fi
- V_TCL2CPP_DIR=""
- for dir in $places; do
- if test -r $dir/tcl2c++; then
- V_TCL2CPP_DIR="$dir"
- break
- fi
- done
- if test "FAIL$V_TCL2CPP_DIR" = "FAIL" ; then
- NS_PACKAGE_tclcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- NS_PACKAGE_tclcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_TCL2CPP_DIR" >&5
- echo "${ECHO_T}$V_TCL2CPP_DIR" >&6
- fi
- fi
- V_TCL2CPP=$V_TCL2CPP_DIR/tcl2c++
- NS_PACKAGE_tclcl_VALID=false
- if $NS_PACKAGE_tclcl_UNDERWAY; then
- if $NS_PACKAGE_tclcl_COMPLETE; then
- : All components of tclcl found.
- NS_PACKAGE_tclcl_VALID=true
- else
- { { echo "$as_me:$LINENO: error: Installation of tclcl seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tclcl is
- using the argument --with-tclcl=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tclcl=no." >&5
- echo "$as_me: error: Installation of tclcl seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tclcl is
- using the argument --with-tclcl=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tclcl=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "xyes" = xyes; then
- if $NS_PACKAGE_tclcl_VALID; then
- :
- else
- { { echo "$as_me:$LINENO: error: tclcl is required but could not be completely found.
- Please correct the problem by telling configure where tclcl is
- using the argument --with-tclcl=/path/to/package,
- or the package is not required, disable it with --with-tclcl=no." >&5
- echo "$as_me: error: tclcl is required but could not be completely found.
- Please correct the problem by telling configure where tclcl is
- using the argument --with-tclcl=/path/to/package,
- or the package is not required, disable it with --with-tclcl=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- case "$target" in
- *-dec-*)
- V_DEFINE="$V_DEFINE -D_XOPEN_SOURCE_EXTENDED"
- cat >>confdefs.h <<_ACEOF
- #define _XOPEN_SOURCE_EXTENDED 1
- _ACEOF
- ;;
- sparc-sun-solaris*)
- if test $CC != gcc ; then
- V_DEFINE="$V_DEFINE -D__FUNCTION__=__func__ -features=extensions"
- fi
- V_DEFINE="$V_DEFINE -D__svr4__ -DSOLARIS_MIN_MAX"
- V_LIB="$V_LIB -ldl"
- ;;
- sparc-sun-sunos*)
- V_DEFINE="$V_DEFINE -DNEED_SUNOS_PROTOS"
- ;;
- *-sgi-irix5*)
- V_DEFINE="$V_DEFINE -DIRIX5 -D_BSD_SIGNALS"
- if test "$target_os" = irix5.3 ; then
- V_DEFINE="$V_DEFINE -DIRIX5_3"
- fi
- V_TARCMD="tar cfL"
- V_SHELL="SHELL = /bin/sh"
- if test $CC != gcc ; then
- V_DEFINE="$V_DEFINE -signed -g3"
- V_CXXOPT="$V_CXXOPT +p -float"
- CC="cc -xansi -D__STDC__ -Dinline="
- CXX="CC +p -float -DSGI_COMPAT"
- fi
- V_RANLIB="ar ts"
- ;;
- *-sgi-irix6*)
- V_DEFINE="$V_DEFINE -DIRIX6 -D_BSD_SIGNALS"
- V_TARCMD="tar cfL"
- V_SHELL="SHELL = /bin/sh"
- if test $CC != gcc ; then
- V_DEFINE="$V_DEFINE -signed -g3"
- V_CXXOPT="$V_CXXOPT +p -float"
- CC="cc -xansi -D__STDC__ -Dinline="
- CXX="CC +p -float -DSGI_COMPAT"
- fi
- V_RANLIB="ar ts"
- ;;
- *-*-bsdi1*)
- V_SHM=""
- V_TARCMD="tar cfL"
- ;;
- *-*-bsdi2.0*)
- V_SHM=""
- V_TARCMD="tar cfL"
- ;;
- *-*-bsdi2.1*)
- # bsdi2.1 added sys-v shared memory support but their implementation
- # is broken so we have to turn it off. If they ever fix libipc,
- # the following line should be deleted.
- V_SHM=""
- V_TARCMD="tar cfL"
- V_CCOPT="-O2 -m486"
- V_LIB="$V_LIB -lipc -ldl"
- ;;
- *-*-bsdi3*)
- V_SHM=""
- V_TARCMD="tar cfL"
- V_LIB="$V_LIB -lipc -ldl"
- V_OBJ="$V_OBJ misc/serial.o"
- ;;
- *-*-freebsd*)
- V_OBJ="$V_OBJ misc/serial.o"
- ;;
- *-*-netbsd*)
- V_TARCMD="tar -h -c -f"
- V_LIB="$V_LIB -L/usr/local/lib"
- ;;
- *-*-hpux*)
- cat >>confdefs.h <<_ACEOF
- #define random lrand48
- _ACEOF
- cat >>confdefs.h <<_ACEOF
- #define srandom srand
- _ACEOF
- V_CCOPT="-O"
- ;;
- *-*-aix3*)
- V_DEFINE="$V_DEFINE -DSIGARGS=int"
- if test "$V_LIB_AIXSHM" != "" ; then
- V_LIB="$V_LIB $V_LIB_AIXSHM"
- else
- V_SHM=""
- fi
- CXX="xlC -+"
- ;;
- *-*-aix4*)
- V_DEFINE="$V_DEFINE -DSIGARGS=int -D_AIX41"
- if test "$V_LIB_AIXSHM" != "" ; then
- V_LIB="$V_LIB $V_LIB_AIXSHM"
- else
- V_SHM=""
- fi
- CXX="g++"
- ;;
- *-*-linux*)
- V_BROKEN_OBJ=
- ;;
- powerpc-apple-darwin*)
- V_CCOPT="-fno-common -fPIC -pipe"
- ;;
- esac
- xlibdirs="
- /usr/openwin/lib
- /usr/X11R6/lib
- /usr/lib/X11R6
- /usr/X11R5/lib
- /usr/lib/X11R5
- /usr/X11R4/lib
- /usr/lib/X11R4
- /usr/local/lib
- /usr/X386/lib
- /usr/X11/lib
- /usr/unsupported/lib
- /Developer/SDKs/MacOSX10.4u.sdk/usr/X11R6/lib
- /import/X11R4/usr/lib"
- xincdirs="
- /usr/openwin/include
- /usr/X11R6/include
- /usr/include/X11R6
- /usr/X11R5/include
- /usr/include/X11R5
- /usr/X11R4/include
- /usr/include/X11R4
- /usr/local/include
- /usr/X386/include
- /usr/X11/include
- /usr/lpp/X11/include
- /usr/unsupported/include
- /Developer/SDKs/MacOSX10.4u.sdk/usr/X11R6/include
- /import/X11R4/include"
- echo "checking for X11 header files"
- if test "$x_includes" = NONE ; then
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <X11/Intrinsic.h>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
- else
- ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
- x_includes=""
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- x_includes=NONE
- fi
- rm -f conftest.err conftest.$ac_ext
- if test "$x_includes" = NONE ; then
- for i in $xincdirs ; do
- if test -r $i/X11/Intrinsic.h; then
- x_includes=$i
- break
- fi
- done
- if test "$x_includes" = NONE ; then
- echo "can't find X includes"
- exit 1
- fi
- fi
- fi
- if test -n "$x_includes" ; then
- V_INCLUDE_X11=-I$x_includes
- fi
- echo "checking for X11 library archive"
- if test "$x_libraries" = NONE ; then
- echo "$as_me:$LINENO: checking for XOpenDisplay in -lX11" >&5
- echo $ECHO_N "checking for XOpenDisplay in -lX11... $ECHO_C" >&6
- if test "${ac_cv_lib_X11_XOpenDisplay+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lX11 $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char XOpenDisplay ();
- int
- main ()
- {
- XOpenDisplay ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_X11_XOpenDisplay=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_lib_X11_XOpenDisplay=no
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_X11_XOpenDisplay" >&5
- echo "${ECHO_T}$ac_cv_lib_X11_XOpenDisplay" >&6
- if test $ac_cv_lib_X11_XOpenDisplay = yes; then
- x_libraries=""
- else
- x_libraries=NONE
- fi
- if test "$x_libraries" = NONE ; then
- for i in $xlibdirs ; do
- if test -r $i/libX11.a -o -r $i/libX11.so -o -r $i/libX11.dll.a; then
- x_libraries=$i
- break
- fi
- done
- if test "$x_libraries" = NONE ; then
- echo "can't find X library"
- exit 1
- fi
- fi
- fi
- V_LIB_X11=-lX11
- if test -n "$V_SHM" ; then
- if test -z "$x_libraries" ; then
- echo "$as_me:$LINENO: checking for XShmAttach in -lXext" >&5
- echo $ECHO_N "checking for XShmAttach in -lXext... $ECHO_C" >&6
- if test "${ac_cv_lib_Xext_XShmAttach+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lXext -lX11 $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char XShmAttach ();
- int
- main ()
- {
- XShmAttach ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_Xext_XShmAttach=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_lib_Xext_XShmAttach=no
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_Xext_XShmAttach" >&5
- echo "${ECHO_T}$ac_cv_lib_Xext_XShmAttach" >&6
- if test $ac_cv_lib_Xext_XShmAttach = yes; then
- V_Xext="-lXext"
- else
- V_Xext=NONE
- fi
- else
- echo "checking for libXext.a"
- if test -f $x_libraries/libXext.a -o -f $x_libraries/libXext.so; then
- V_Xext="-lXext"
- else
- echo "warning: compiling without -lXext"
- fi
- fi
- if test "$V_Xext" = NONE ; then
- echo "warning: compiling without -lXext"
- else
- V_LIB_X11="$V_Xext $V_LIB_X11"
- fi
- fi
- if test -n "$x_libraries" ; then
- V_LIB_X11="-L$x_libraries $V_LIB_X11"
- if test $solaris ; then
- V_LIB_X11="-R$x_libraries $V_LIB_X11"
- fi
- fi
- # Check whether --with-tcldebug or --without-tcldebug was given.
- if test "${with_tcldebug+set}" = set; then
- withval="$with_tcldebug"
- d=$withval
- else
- d=""
- fi;
- #xxx: Don't know anything about 1.8
- # 2.0 = tcl 8.3
- # 1.9 = tcl 7.5, 7.6, 8.0
- TCLDEBUG_VERS="2.0 1.9 1.8 1.7"
- pwd_vers=""
- local_vers=""
- for vers in $TCLDEBUG_VERS; do
- pwd_vers="$pwd_vers $PWD/../tcl-debug-$vers"
- local_vers="$local_vers /usr/src/local/otcl-debug-$vers"
- done
- TCLDEBUG_PATH="
- $PWD/../tcl-debug
- $pwd_vers
- /usr/contrib/lib
- /usr/local/lib
- /usr/lib
- /usr/src/local/tcl-debug
- $local_vers
- "
- TCLDEBUG_PATH_D="$d
- $d/lib
- $d/../lib
- "
- NS_PACKAGE_tcldebug_UNDERWAY=false
- NS_PACKAGE_tcldebug_COMPLETE=true
- echo "$as_me:$LINENO: checking for libtcldbg" >&5
- echo $ECHO_N "checking for libtcldbg... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable library
- V_LIB_TCLDEBUG=FAIL
- NS_PACKAGE_tcldebug_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCLDEBUG_PATH"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCLDEBUG_PATH_D"
- fi
- V_LIB_TCLDEBUG=""
- full_lib_name="tcldbg"
- simple_lib_name=`echo $full_lib_name | sed -e 's/.//'`
- other_simple_lib_name=`echo $full_lib_name | sed -e 's/./_/'`
- simpler_lib_name=`echo $simple_lib_name | sed -e 'y/0123456789/ /'`
- double_break=false
- for dir in $places; do
- for file in $full_lib_name $simple_lib_name $other_simple_lib_name $simpler_lib_name
- do
- if test -r $dir/lib$file.so -o -r $dir/lib$file.a -o -r $dir/lib$file.dylib; then
- V_LIB_TCLDEBUG="-L$dir -l$file"
- double_break=true
- break
- fi
- done
- if $double_break; then
- break
- fi
- done
- if test "FAIL$V_LIB_TCLDEBUG" = "FAIL" ; then
- NS_PACKAGE_tcldebug_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- if test "$solaris"; then
- V_LIB_TCLDEBUG="-R$dir $V_LIB_TCLDEBUG"
- fi
- ac_tr_lib=HAVE_LIB`echo tcldbg | sed -e 's/[^a-zA-Z0-9_]/_/g'
- -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_lib 1
- _ACEOF
- V_LIBS="$V_LIB_TCLDEBUG $V_LIBS"
- V_DEFINES="-D$ac_tr_lib $V_DEFINES"
- NS_PACKAGE_tcldebug_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIB_TCLDEBUG" >&5
- echo "${ECHO_T}$V_LIB_TCLDEBUG" >&6
- fi
- fi
- #if $NS_PACKAGE_tcldebug_COMPLETE; then
- # look for debugger entry point function
- #tmpLIBS=$LIBS
- #LIBS="$V_LIB_TCL $V_LIB_TCLDEBUG"
- # the following two may be needed for linking during tcldbg CHECK_LIB
- #AC_CHECK_LIB(m, main)
- #AC_CHECK_LIB(dl, dlopen)
- #notfound=false
- #AC_CHECK_LIB(tcldbg, Dbg_Init, V_DEFINES="-DHAVE_Dbg_Init $V_DEFINES",notfound=true)
- #if $notfound; then
- # notfound=false
- # AC_CHECK_LIB(tcldbg, Tcldbg_Init, V_DEFINES="-DHAVE_Tcldbg_Init $V_DEFINES",notfound=true)
- #fi
- #LIBS=$tmpLIBS
- #if $notfound; then
- # echo "configure: warning: Tcl debugger init point is not found. You
- #will not be able to use Tcl debugger." 1>&2
- # NS_PACKAGE_tcldebug_COMPLETE=false
- #fi
- #fi
- if $NS_PACKAGE_tcldebug_COMPLETE; then
- NS_PACKAGE_tcldebug_VALID=false
- if $NS_PACKAGE_tcldebug_UNDERWAY; then
- if $NS_PACKAGE_tcldebug_COMPLETE; then
- : All components of tcldebug found.
- NS_PACKAGE_tcldebug_VALID=true
- else
- { { echo "$as_me:$LINENO: error: Installation of tcldebug seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tcldebug is
- using the argument --with-tcldebug=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tcldebug=no." >&5
- echo "$as_me: error: Installation of tcldebug seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tcldebug is
- using the argument --with-tcldebug=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tcldebug=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "xno" = xyes; then
- if $NS_PACKAGE_tcldebug_VALID; then
- :
- else
- { { echo "$as_me:$LINENO: error: tcldebug is required but could not be completely found.
- Please correct the problem by telling configure where tcldebug is
- using the argument --with-tcldebug=/path/to/package,
- or the package is not required, disable it with --with-tcldebug=no." >&5
- echo "$as_me: error: tcldebug is required but could not be completely found.
- Please correct the problem by telling configure where tcldebug is
- using the argument --with-tcldebug=/path/to/package,
- or the package is not required, disable it with --with-tcldebug=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- fi
- # Check whether --with-dmalloc or --without-dmalloc was given.
- if test "${with_dmalloc+set}" = set; then
- withval="$with_dmalloc"
- d="$withval"
- else
- d="UNDEF"
- fi;
- DMALLOC_VERS=3.2.1
- DMALLOC_PATH="$PWD/../dmalloc
- $PWD/../dmalloc-$DMALLOC_VERS
- /usr/contrib/lib
- /usr/local/lib
- /usr/lib
- /usr/contrib/include
- /usr/local/include
- /usr/include
- "
- DMALLOC_PATH_D="$d $d/lib $d/include"
- if test "x$d" = xUNDEF; then
- echo "$as_me:$LINENO: checking dmalloc" >&5
- echo $ECHO_N "checking dmalloc... $ECHO_C" >&6
- echo "$as_me:$LINENO: result: not requested with --with-dmalloc" >&5
- echo "${ECHO_T}not requested with --with-dmalloc" >&6
- else
- NS_PACKAGE_dmalloc_UNDERWAY=false
- NS_PACKAGE_dmalloc_COMPLETE=true
- echo "$as_me:$LINENO: checking for libdmalloc" >&5
- echo $ECHO_N "checking for libdmalloc... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable library
- V_LIB_DMALLOC=FAIL
- NS_PACKAGE_dmalloc_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$DMALLOC_PATH"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$DMALLOC_PATH_D"
- fi
- V_LIB_DMALLOC=""
- full_lib_name="dmalloc"
- simple_lib_name=`echo $full_lib_name | sed -e 's/.//'`
- other_simple_lib_name=`echo $full_lib_name | sed -e 's/./_/'`
- simpler_lib_name=`echo $simple_lib_name | sed -e 'y/0123456789/ /'`
- double_break=false
- for dir in $places; do
- for file in $full_lib_name $simple_lib_name $other_simple_lib_name $simpler_lib_name
- do
- if test -r $dir/lib$file.so -o -r $dir/lib$file.a -o -r $dir/lib$file.dylib; then
- V_LIB_DMALLOC="-L$dir -l$file"
- double_break=true
- break
- fi
- done
- if $double_break; then
- break
- fi
- done
- if test "FAIL$V_LIB_DMALLOC" = "FAIL" ; then
- NS_PACKAGE_dmalloc_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- if test "$solaris"; then
- V_LIB_DMALLOC="-R$dir $V_LIB_DMALLOC"
- fi
- ac_tr_lib=HAVE_LIB`echo dmalloc | sed -e 's/[^a-zA-Z0-9_]/_/g'
- -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_lib 1
- _ACEOF
- V_LIBS="$V_LIB_DMALLOC $V_LIBS"
- V_DEFINES="-D$ac_tr_lib $V_DEFINES"
- NS_PACKAGE_dmalloc_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIB_DMALLOC" >&5
- echo "${ECHO_T}$V_LIB_DMALLOC" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for dmalloc.h" >&5
- echo $ECHO_N "checking for dmalloc.h... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_HEADER_DMALLOC=FAIL
- NS_PACKAGE_dmalloc_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$DMALLOC_PATH"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$DMALLOC_PATH_D"
- fi
- V_HEADER_DMALLOC=""
- found=""
- for dir in $places; do
- if test -r $dir/dmalloc.h; then
- found="$dir"
- if test "$CC" != "icc" ||
- test "$dir" != "/usr/include"; then
- V_HEADER_DMALLOC="-I$dir"
- fi
- break
- fi
- done
- if test "FAIL$found" = "FAIL" ; then
- NS_PACKAGE_dmalloc_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- ac_tr_hdr=HAVE_`echo dmalloc.h | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_hdr 1
- _ACEOF
- V_INCLUDES="$V_HEADER_DMALLOC $V_INCLUDES"
- V_DEFINES="-D$ac_tr_hdr $V_DEFINES"
- NS_PACKAGE_dmalloc_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_HEADER_DMALLOC" >&5
- echo "${ECHO_T}$V_HEADER_DMALLOC" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for return.h" >&5
- echo $ECHO_N "checking for return.h... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_HEADER_RETURN=FAIL
- NS_PACKAGE_dmalloc_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$DMALLOC_PATH"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$DMALLOC_PATH_D"
- fi
- V_HEADER_RETURN=""
- found=""
- for dir in $places; do
- if test -r $dir/return.h; then
- found="$dir"
- if test "$CC" != "icc" ||
- test "$dir" != "/usr/include"; then
- V_HEADER_RETURN="-I$dir"
- fi
- break
- fi
- done
- if test "FAIL$found" = "FAIL" ; then
- NS_PACKAGE_dmalloc_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- ac_tr_hdr=HAVE_`echo return.h | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_hdr 1
- _ACEOF
- V_INCLUDES="$V_HEADER_RETURN $V_INCLUDES"
- V_DEFINES="-D$ac_tr_hdr $V_DEFINES"
- NS_PACKAGE_dmalloc_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_HEADER_RETURN" >&5
- echo "${ECHO_T}$V_HEADER_RETURN" >&6
- fi
- fi
- NS_PACKAGE_dmalloc_VALID=false
- if $NS_PACKAGE_dmalloc_UNDERWAY; then
- if $NS_PACKAGE_dmalloc_COMPLETE; then
- : All components of dmalloc found.
- NS_PACKAGE_dmalloc_VALID=true
- else
- { { echo "$as_me:$LINENO: error: Installation of dmalloc seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where dmalloc is
- using the argument --with-dmalloc=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-dmalloc=no." >&5
- echo "$as_me: error: Installation of dmalloc seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where dmalloc is
- using the argument --with-dmalloc=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-dmalloc=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "xno" = xyes; then
- if $NS_PACKAGE_dmalloc_VALID; then
- :
- else
- { { echo "$as_me:$LINENO: error: dmalloc is required but could not be completely found.
- Please correct the problem by telling configure where dmalloc is
- using the argument --with-dmalloc=/path/to/package,
- or the package is not required, disable it with --with-dmalloc=no." >&5
- echo "$as_me: error: dmalloc is required but could not be completely found.
- Please correct the problem by telling configure where dmalloc is
- using the argument --with-dmalloc=/path/to/package,
- or the package is not required, disable it with --with-dmalloc=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- fi
- default_classinstvar=yes
- if test x$default_classinstvar = x
- then
- default_classinstvar=no
- fi
- # Check whether --enable-tclcl-classinstvar or --disable-tclcl-classinstvar was given.
- if test "${enable_tclcl_classinstvar+set}" = set; then
- enableval="$enable_tclcl_classinstvar"
- enable_classinstvar=$enableval
- else
- enable_classinstvar=$default_classinstvar
- fi;
- if test "$enable_classinstvar" = "yes";
- then
- V_DEFINE="-DTCLCL_CLASSINSTVAR $V_DEFINE"
- fi
- PERL_OPTIONAL=true
- # Check whether --with-perl or --without-perl was given.
- if test "${with_perl+set}" = set; then
- withval="$with_perl"
- d=$withval
- else
- d=""
- fi;
- # Next line is the minimum version of perl required.
- # 5.000 and 5.001 are generally scorned because of age and bugs.
- PERL_VERSION=${PERL_VERSION:-5.002}
- PERL_PLACES=`echo $PATH | sed 's/:/ /g'`
- PERL_OPTIONAL=${PERL_OPTIONAL:-false}
- echo "$as_me:$LINENO: checking for perl" >&5
- echo $ECHO_N "checking for perl... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- PERL=FAIL
- NS_PACKAGE_no_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$PERL_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$d"
- fi
- PERL=""
- for dir in $places; do
- if test -r $dir/perl; then
- PERL="$dir"
- break
- fi
- done
- if test "FAIL$PERL" = "FAIL" ; then
- NS_PACKAGE_no_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- NS_PACKAGE_no_UNDERWAY=true
- echo "$as_me:$LINENO: result: $PERL" >&5
- echo "${ECHO_T}$PERL" >&6
- fi
- fi
- if test "x$PERL" != x
- then
- PERL=$PERL/perl
- echo $PERL -e "require $PERL_VERSION" 1>&5
- if $PERL -e "require $PERL_VERSION" 2>&5
- then
- : good version
- else
- : non-good version => zero pathname
- echo "$as_me:$LINENO: result: not version $PERL_VERSION" >&5
- echo "${ECHO_T} not version $PERL_VERSION" >&6
- PERL=''
- fi
- fi
- if test "x$PERL" = "x"
- then
- echo "$as_me:$LINENO: checking for perl5" >&5
- echo $ECHO_N "checking for perl5... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- PERL=FAIL
- NS_PACKAGE_no_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$PERL_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$d"
- fi
- PERL=""
- for dir in $places; do
- if test -r $dir/perl5; then
- PERL="$dir"
- break
- fi
- done
- if test "FAIL$PERL" = "FAIL" ; then
- NS_PACKAGE_no_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- NS_PACKAGE_no_UNDERWAY=true
- echo "$as_me:$LINENO: result: $PERL" >&5
- echo "${ECHO_T}$PERL" >&6
- fi
- fi
- if test "x$PERL" != "x"
- then
- PERL=$PERL/perl5
- echo $PERL -e "require $PERL_VERSION" 1>&5
- if $PERL -e "require $PERL_VERSION" 2>&5
- then
- : good version
- else
- : non-good version => zero pathname
- echo "$as_me:$LINENO: result: not version $PERL_VERSION" >&5
- echo "${ECHO_T} not version $PERL_VERSION" >&6
- PERL=''
- fi
- fi
- fi
- if test "x$PERL" = x
- then
- if $PERL_OPTIONAL
- then
- echo "$as_me:$LINENO: result: perl version $PERL_VERSION not found" >&5
- echo "${ECHO_T} perl version $PERL_VERSION not found" >&6
- else
- { { echo "$as_me:$LINENO: error: Cannot find Perl 5." >&5
- echo "$as_me: error: Cannot find Perl 5." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "x$PERL" = x
- then
- { echo "$as_me:$LINENO: WARNING: Perl5 not found; test scripts will not run succesfully." >&5
- echo "$as_me: WARNING: Perl5 not found; test scripts will not run succesfully." >&2;}
- fi
- echo "$as_me:$LINENO: checking for ANSI C header files" >&5
- echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
- if test "${ac_cv_header_stdc+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <stdlib.h>
- #include <stdarg.h>
- #include <string.h>
- #include <float.h>
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_header_stdc=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_header_stdc=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- if test $ac_cv_header_stdc = yes; then
- # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <string.h>
- _ACEOF
- if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
- $EGREP "memchr" >/dev/null 2>&1; then
- :
- else
- ac_cv_header_stdc=no
- fi
- rm -f conftest*
- fi
- if test $ac_cv_header_stdc = yes; then
- # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <stdlib.h>
- _ACEOF
- if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
- $EGREP "free" >/dev/null 2>&1; then
- :
- else
- ac_cv_header_stdc=no
- fi
- rm -f conftest*
- fi
- if test $ac_cv_header_stdc = yes; then
- # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
- if test "$cross_compiling" = yes; then
- :
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <ctype.h>
- #if ((' ' & 0x0FF) == 0x020)
- # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
- # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
- #else
- # define ISLOWER(c)
- (('a' <= (c) && (c) <= 'i')
- || ('j' <= (c) && (c) <= 'r')
- || ('s' <= (c) && (c) <= 'z'))
- # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
- #endif
- #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
- int
- main ()
- {
- int i;
- for (i = 0; i < 256; i++)
- if (XOR (islower (i), ISLOWER (i))
- || toupper (i) != TOUPPER (i))
- exit(2);
- exit (0);
- }
- _ACEOF
- rm -f conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- :
- else
- echo "$as_me: program exited with status $ac_status" >&5
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ( exit $ac_status )
- ac_cv_header_stdc=no
- fi
- rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- fi
- fi
- fi
- echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
- echo "${ECHO_T}$ac_cv_header_stdc" >&6
- if test $ac_cv_header_stdc = yes; then
- cat >>confdefs.h <<_ACEOF
- #define STDC_HEADERS 1
- _ACEOF
- fi
- for ac_header in arpa/inet.h fenv.h netinet/in.h string.h strings.h time.h unistd.h net/ethernet.h
- do
- as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
- if eval "test "${$as_ac_Header+set}" = set"; then
- echo "$as_me:$LINENO: checking for $ac_header" >&5
- echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
- if eval "test "${$as_ac_Header+set}" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
- else
- # Is the header compilable?
- echo "$as_me:$LINENO: checking $ac_header usability" >&5
- echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- #include <$ac_header>
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_header_compiler=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
- echo "${ECHO_T}$ac_header_compiler" >&6
- # Is the header present?
- echo "$as_me:$LINENO: checking $ac_header presence" >&5
- echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <$ac_header>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
- else
- ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_header_preproc=no
- fi
- rm -f conftest.err conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
- echo "${ECHO_T}$ac_header_preproc" >&6
- # So? What about this header?
- case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
- echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
- echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
- echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
- echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
- echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: section "Present But Cannot Be Compiled"" >&5
- echo "$as_me: WARNING: $ac_header: section "Present But Cannot Be Compiled"" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
- echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
- echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
- (
- cat <<_ASBOX
- ## ------------------------------------------ ##
- ## Report this to the AC_PACKAGE_NAME lists. ##
- ## ------------------------------------------ ##
- _ASBOX
- ) |
- sed "s/^/$as_me: WARNING: /" >&2
- ;;
- esac
- echo "$as_me:$LINENO: checking for $ac_header" >&5
- echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
- if eval "test "${$as_ac_Header+set}" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- eval "$as_ac_Header=$ac_header_preproc"
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
- fi
- if test `eval echo '${'$as_ac_Header'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
- #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
- _ACEOF
- fi
- done
- echo "$as_me:$LINENO: checking for main in -lm" >&5
- echo $ECHO_N "checking for main in -lm... $ECHO_C" >&6
- if test "${ac_cv_lib_m_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lm $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- int
- main ()
- {
- main ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_m_main=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_lib_m_main=no
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_m_main" >&5
- echo "${ECHO_T}$ac_cv_lib_m_main" >&6
- if test $ac_cv_lib_m_main = yes; then
- cat >>confdefs.h <<_ACEOF
- #define HAVE_LIBM 1
- _ACEOF
- LIBS="-lm $LIBS"
- else
- { { echo "$as_me:$LINENO: error: Could not find math library" >&5
- echo "$as_me: error: Could not find math library" >&2;}
- { (exit cannot continue.); exit cannot continue.; }; }
- fi
- for ac_func in bcopy bzero fesetprecision feenableexcept getrusage sbrk snprintf
- do
- as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
- echo "$as_me:$LINENO: checking for $ac_func" >&5
- echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
- if eval "test "${$as_ac_var+set}" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
- For example, HP-UX 11i <limits.h> declares gettimeofday. */
- #define $ac_func innocuous_$ac_func
- /* System header to define __stub macros and hopefully few prototypes,
- which can conflict with char $ac_func (); below.
- Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
- <limits.h> exists even on freestanding compilers. */
- #ifdef __STDC__
- # include <limits.h>
- #else
- # include <assert.h>
- #endif
- #undef $ac_func
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- {
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char $ac_func ();
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
- choke me
- #else
- char (*f) () = $ac_func;
- #endif
- #ifdef __cplusplus
- }
- #endif
- int
- main ()
- {
- return f != $ac_func;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- eval "$as_ac_var=yes"
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- eval "$as_ac_var=no"
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
- if test `eval echo '${'$as_ac_var'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
- #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
- _ACEOF
- fi
- done
- echo "$as_me:$LINENO: checking return type of random" >&5
- echo $ECHO_N "checking return type of random... $ECHO_C" >&6
- touch confdefs.h
- if test "$cross_compiling" = yes; then
- echo "$as_me:$LINENO: result: cross compiling--guessing int" >&5
- echo "${ECHO_T}cross compiling--guessing int" >&6
- cat >>confdefs.h <<_ACEOF
- #define RANDOM_RETURN_TYPE int
- _ACEOF
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <stdlib.h>
- #include "confdefs.h"
- long random() { return 1; }
- main() { exit(0); }
- _ACEOF
- rm -f conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- echo "$as_me:$LINENO: result: long" >&5
- echo "${ECHO_T}long" >&6
- cat >>confdefs.h <<_ACEOF
- #define RANDOM_RETURN_TYPE long
- _ACEOF
- else
- echo "$as_me: program exited with status $ac_status" >&5
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ( exit $ac_status )
- echo "$as_me:$LINENO: result: int" >&5
- echo "${ECHO_T}int" >&6
- cat >>confdefs.h <<_ACEOF
- #define RANDOM_RETURN_TYPE int
- _ACEOF
- fi
- rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: checking for int8_t" >&5
- echo $ECHO_N "checking for int8_t... $ECHO_C" >&6
- if test "${ac_cv_type_int8_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((int8_t *) 0)
- return 0;
- if (sizeof (int8_t))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_int8_t=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_int8_t=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_int8_t" >&5
- echo "${ECHO_T}$ac_cv_type_int8_t" >&6
- if test $ac_cv_type_int8_t = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define int8_t signed char
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for int16_t" >&5
- echo $ECHO_N "checking for int16_t... $ECHO_C" >&6
- if test "${ac_cv_type_int16_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((int16_t *) 0)
- return 0;
- if (sizeof (int16_t))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_int16_t=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_int16_t=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_int16_t" >&5
- echo "${ECHO_T}$ac_cv_type_int16_t" >&6
- if test $ac_cv_type_int16_t = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define int16_t short
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for int32_t" >&5
- echo $ECHO_N "checking for int32_t... $ECHO_C" >&6
- if test "${ac_cv_type_int32_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((int32_t *) 0)
- return 0;
- if (sizeof (int32_t))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_int32_t=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_int32_t=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_int32_t" >&5
- echo "${ECHO_T}$ac_cv_type_int32_t" >&6
- if test $ac_cv_type_int32_t = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define int32_t int
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for u_int8_t" >&5
- echo $ECHO_N "checking for u_int8_t... $ECHO_C" >&6
- if test "${ac_cv_type_u_int8_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((u_int8_t *) 0)
- return 0;
- if (sizeof (u_int8_t))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_u_int8_t=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_u_int8_t=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_u_int8_t" >&5
- echo "${ECHO_T}$ac_cv_type_u_int8_t" >&6
- if test $ac_cv_type_u_int8_t = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define u_int8_t unsigned char
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for u_int16_t" >&5
- echo $ECHO_N "checking for u_int16_t... $ECHO_C" >&6
- if test "${ac_cv_type_u_int16_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((u_int16_t *) 0)
- return 0;
- if (sizeof (u_int16_t))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_u_int16_t=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_u_int16_t=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_u_int16_t" >&5
- echo "${ECHO_T}$ac_cv_type_u_int16_t" >&6
- if test $ac_cv_type_u_int16_t = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define u_int16_t unsigned short
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for u_int32_t" >&5
- echo $ECHO_N "checking for u_int32_t... $ECHO_C" >&6
- if test "${ac_cv_type_u_int32_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((u_int32_t *) 0)
- return 0;
- if (sizeof (u_int32_t))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_u_int32_t=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_u_int32_t=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_u_int32_t" >&5
- echo "${ECHO_T}$ac_cv_type_u_int32_t" >&6
- if test $ac_cv_type_u_int32_t = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define u_int32_t unsigned int
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for u_char" >&5
- echo $ECHO_N "checking for u_char... $ECHO_C" >&6
- if test "${ac_cv_type_u_char+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((u_char *) 0)
- return 0;
- if (sizeof (u_char))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_u_char=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_u_char=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_u_char" >&5
- echo "${ECHO_T}$ac_cv_type_u_char" >&6
- if test $ac_cv_type_u_char = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define u_char unsigned char
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for u_int" >&5
- echo $ECHO_N "checking for u_int... $ECHO_C" >&6
- if test "${ac_cv_type_u_int+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((u_int *) 0)
- return 0;
- if (sizeof (u_int))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_u_int=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_u_int=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_u_int" >&5
- echo "${ECHO_T}$ac_cv_type_u_int" >&6
- if test $ac_cv_type_u_int = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define u_int unsigned int
- _ACEOF
- fi
- for ac_func in strtoq strtoll
- do
- as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
- echo "$as_me:$LINENO: checking for $ac_func" >&5
- echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
- if eval "test "${$as_ac_var+set}" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
- For example, HP-UX 11i <limits.h> declares gettimeofday. */
- #define $ac_func innocuous_$ac_func
- /* System header to define __stub macros and hopefully few prototypes,
- which can conflict with char $ac_func (); below.
- Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
- <limits.h> exists even on freestanding compilers. */
- #ifdef __STDC__
- # include <limits.h>
- #else
- # include <assert.h>
- #endif
- #undef $ac_func
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- {